Kwallet: Split User_Run from install

This commit is contained in:
Daniel Pätzold
2026-04-07 15:06:57 +02:00
parent d482c47b85
commit 1cee4f82f4
3 changed files with 31 additions and 26 deletions
+30
View File
@@ -0,0 +1,30 @@
#!/bin/bash
# Restart and test Kwallet- Service
# Vars
WALLETAPPID="sys_config_wallet_script"
WALLETNAME="kdewallet"
#Restart the service
nohup kwalletd6 >/dev/null 2>&1 &
sleep 1
#Check if kwalletd is enabled now
QB_RESULT=$( $(dirname $0)/qbus_wallet_exec.sh isEnabled 2>/dev/null || true )
if [[ "$QB_RESULT" != "true" ]]; then
echo "Error checking if kWallet service is activated. Cannot continue. Return of Check was:"
echo "$QB_RESULT"
exit 1
fi
#It should be possible to open the wallet without having to enter the password now.
echo "Checking if Wallet can be opened by the user. The Program should not ask for a password, maybe for confirmation to access the wallet which is ok."
echo "Please check to NOT have any Password asked now - if so, open kwalletmanager and change the password for wallet ${WALLETNAME} to nothing (by entering nothing when asked for new password)!"
QB_RESULT=$( $(dirname $0)/qbus_wallet_exec.sh open ${WALLETNAME} 0 $WALLETAPPID )
if [[ $? -ne 0 ]]; then
echo "Some Error opening Wallet ${WALLETNAME}. Please check."
exit 1
fi
echo "Sucessfully opened Wallet ${WALLETNAME} with ID ${QB_RESULT}."
exit 0